package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.TreeEntity;

/**
 * 文档目录管理对象 doc_dir
 *
 * @author wukai
 * @date 2023-08-21
 */
@ApiModel(value = "DocDir" , description = "文档目录管理")
public class DocDir extends TreeEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 目录ID
     */
    @ApiModelProperty("目录ID")
    @TableId
    private Long dirId;

    /**
     * 空间ID
     */
    @ApiModelProperty("空间ID")
    private Long spaceId;

    /**
     * 目录类型
     */
    @ApiModelProperty("目录类型")
    @Excel(name = "目录类型")
    private String dirType;

    /**
     * 目录权限
     */
    @ApiModelProperty("目录权限")
    @Excel(name = "目录权限")
    private String dirRole;

    /**
     * 目录名称
     */
    @ApiModelProperty("目录名称")
    @Excel(name = "目录名称")
    private String dirName;

    /**
     * 目录路径
     */
    @ApiModelProperty("目录路径")
    private String dirPath;

    public void setDirId(Long dirId) {
        this.dirId = dirId;
    }

    public Long getDirId() {
        return dirId;
    }

    public void setSpaceId(Long spaceId) {
        this.spaceId = spaceId;
    }

    public Long getSpaceId() {
        return spaceId;
    }

    public void setDirType(String dirType) {
        this.dirType = dirType;
    }

    public String getDirType() {
        return dirType;
    }

    public void setDirRole(String dirRole) {
        this.dirRole = dirRole;
    }

    public String getDirRole() {
        return dirRole;
    }

    public void setDirName(String dirName) {
        this.dirName = dirName;
    }

    public String getDirName() {
        return dirName;
    }

    public void setDirPath(String dirPath) {
        this.dirPath = dirPath;
    }

    public String getDirPath() {
        return dirPath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("dirId" , getDirId())
                .append("spaceId" , getSpaceId())
                .append("dirType" , getDirType())
                .append("dirRole" , getDirRole())
                .append("dirName" , getDirName())
                .append("parentId" , getParentId())
                .append("dirPath" , getDirPath())
                .append("createBy" , getCreateBy())
                .append("createTime" , getCreateTime())
                .append("updateBy" , getUpdateBy())
                .append("updateTime" , getUpdateTime())
                .append("remark" , getRemark())
                .toString();
    }
}
