package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;

/**
 * 组织目录成员对象 doc_dir_user
 *
 * @author wukai
 * @date 2023-08-21
 */
@ApiModel(value = "DocDirUser" , description = "组织目录成员")
public class DocDirUser extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增ID
     */
    @ApiModelProperty("自增ID")
    @TableId
    private Long autoId;

    /**
     * 目录ID
     */
    @ApiModelProperty("目录ID")
    private Long dirId;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    private Long userId;

    /**
     * 是否管理员
     */
    @ApiModelProperty("是否管理员")
    @Excel(name = "是否管理员")
    private String isManager;

    public void setAutoId(Long autoId) {
        this.autoId = autoId;
    }

    public Long getAutoId() {
        return autoId;
    }

    public void setDirId(Long dirId) {
        this.dirId = dirId;
    }

    public Long getDirId() {
        return dirId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setIsManager(String isManager) {
        this.isManager = isManager;
    }

    public String getIsManager() {
        return isManager;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("autoId" , getAutoId())
                .append("dirId" , getDirId())
                .append("userId" , getUserId())
                .append("isManager" , getIsManager())
                .append("createBy" , getCreateBy())
                .append("createTime" , getCreateTime())
                .append("updateBy" , getUpdateBy())
                .append("updateTime" , getUpdateTime())
                .append("remark" , getRemark())
                .toString();
    }
}
