package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;

/**
 * 消息管理对象 doc_msg
 *
 * @author wukai
 * @date 2023-08-22
 */
@ApiModel(value = "DocMsg", description = "消息管理")
public class DocMsg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 消息ID */
    @ApiModelProperty("消息ID")
    @TableId
    private Long msgId;

    /** 发送方用户ID */
    @ApiModelProperty("发送方用户ID")
    @Excel(name = "发送方用户ID")
    private Long fromUid;

    /** 接受方用户ID */
    @ApiModelProperty("接受方用户ID")
    @Excel(name = "接受方用户ID")
    private Long toUid;

    /** 消息内容 */
    @ApiModelProperty("消息内容")
    @Excel(name = "消息内容")
    private String content;

    public void setMsgId(Long msgId)
    {
        this.msgId = msgId;
    }

    public Long getMsgId()
    {
        return msgId;
    }
    public void setFromUid(Long fromUid)
    {
        this.fromUid = fromUid;
    }

    public Long getFromUid()
    {
        return fromUid;
    }
    public void setToUid(Long toUid)
    {
        this.toUid = toUid;
    }

    public Long getToUid()
    {
        return toUid;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("msgId", getMsgId())
            .append("from", getFromUid())
            .append("to", getToUid())
            .append("content", getContent())
            .append("createTime", getCreateTime())
            .toString();
    }
}
