package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;

/**
 * 最近文件对象 doc_recent
 *
 * @author wukai
 * @date 2023-08-21
 */
@ApiModel(value = "DocRecent" , description = "最近文件")
public class DocRecent extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增ID
     */
    @ApiModelProperty("自增ID")
    @TableId
    private Long recentId;

    /**
     * 是否文件夹
     */
    @ApiModelProperty("是否文件夹")
    private String isFolder;

    /**
     * 文件夹/文档ID
     */
    @ApiModelProperty("文件夹/文档ID")
    private Long relaId;

    /**
     * 所有人
     */
    @ApiModelProperty("所有人")
    private Long owner;

    public void setRecentId(Long recentId) {
        this.recentId = recentId;
    }

    public Long getRecentId() {
        return recentId;
    }

    public void setIsFolder(String isFolder) {
        this.isFolder = isFolder;
    }

    public String getIsFolder() {
        return isFolder;
    }

    public void setRelaId(Long relaId) {
        this.relaId = relaId;
    }

    public Long getRelaId() {
        return relaId;
    }

    public void setOwner(Long owner) {
        this.owner = owner;
    }

    public Long getOwner() {
        return owner;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("recentId" , getRecentId())
                .append("isFolder" , getIsFolder())
                .append("relaId" , getRelaId())
                .append("owner" , getOwner())
                .append("createBy" , getCreateBy())
                .append("createTime" , getCreateTime())
                .append("updateBy" , getUpdateBy())
                .append("updateTime" , getUpdateTime())
                .append("remark" , getRemark())
                .toString();
    }
}
