package com.doc.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.biz.domain.DocFavoriteLabel;

import java.util.List;

/**
 * 文件收藏标签Mapper接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface DocFavoriteLabelMapper extends BaseMapper<DocFavoriteLabel> {
    /**
     * 查询文件收藏标签
     *
     * @param labelId 文件收藏标签主键
     * @return 文件收藏标签
     */
    public DocFavoriteLabel selectDocFavoriteLabelByLabelId(Long labelId);

    /**
     * 查询文件收藏标签列表
     *
     * @param docFavoriteLabel 文件收藏标签
     * @return 文件收藏标签集合
     */
    public List<DocFavoriteLabel> selectDocFavoriteLabelList(DocFavoriteLabel docFavoriteLabel);

    /**
     * 新增文件收藏标签
     *
     * @param docFavoriteLabel 文件收藏标签
     * @return 结果
     */
    public int insertDocFavoriteLabel(DocFavoriteLabel docFavoriteLabel);

    /**
     * 修改文件收藏标签
     *
     * @param docFavoriteLabel 文件收藏标签
     * @return 结果
     */
    public int updateDocFavoriteLabel(DocFavoriteLabel docFavoriteLabel);

    /**
     * 删除文件收藏标签
     *
     * @param labelId 文件收藏标签主键
     * @return 结果
     */
    public int deleteDocFavoriteLabelByLabelId(Long labelId);

    /**
     * 批量删除文件收藏标签
     *
     * @param labelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDocFavoriteLabelByLabelIds(Long[] labelIds);
}
