package com.doc.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.biz.domain.DocFavorite;

import java.util.List;

/**
 * 文件收藏Mapper接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface DocFavoriteMapper extends BaseMapper<DocFavorite> {
    /**
     * 查询文件收藏
     *
     * @param favoriteId 文件收藏主键
     * @return 文件收藏
     */
    public DocFavorite selectDocFavoriteByFavoriteId(Long favoriteId);

    /**
     * 查询文件收藏列表
     *
     * @param docFavorite 文件收藏
     * @return 文件收藏集合
     */
    public List<DocFavorite> selectDocFavoriteList(DocFavorite docFavorite);

    /**
     * 新增文件收藏
     *
     * @param docFavorite 文件收藏
     * @return 结果
     */
    public int insertDocFavorite(DocFavorite docFavorite);

    /**
     * 修改文件收藏
     *
     * @param docFavorite 文件收藏
     * @return 结果
     */
    public int updateDocFavorite(DocFavorite docFavorite);

    /**
     * 删除文件收藏
     *
     * @param favoriteId 文件收藏主键
     * @return 结果
     */
    public int deleteDocFavoriteByFavoriteId(Long favoriteId);

    /**
     * 批量删除文件收藏
     *
     * @param favoriteIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDocFavoriteByFavoriteIds(Long[] favoriteIds);
}
