package com.doc.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.biz.domain.DocSpace;

import java.util.List;

/**
 * 文档空间管理Mapper接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface DocSpaceMapper extends BaseMapper<DocSpace> {
    /**
     * 查询文档空间管理
     *
     * @param spaceId 文档空间管理主键
     * @return 文档空间管理
     */
    public DocSpace selectDocSpaceBySpaceId(Long spaceId);

    /**
     * 查询文档空间管理列表
     *
     * @param docSpace 文档空间管理
     * @return 文档空间管理集合
     */
    public List<DocSpace> selectDocSpaceList(DocSpace docSpace);

    /**
     * 新增文档空间管理
     *
     * @param docSpace 文档空间管理
     * @return 结果
     */
    public int insertDocSpace(DocSpace docSpace);

    /**
     * 修改文档空间管理
     *
     * @param docSpace 文档空间管理
     * @return 结果
     */
    public int updateDocSpace(DocSpace docSpace);

    /**
     * 删除文档空间管理
     *
     * @param spaceId 文档空间管理主键
     * @return 结果
     */
    public int deleteDocSpaceBySpaceId(Long spaceId);

    /**
     * 批量删除文档空间管理
     *
     * @param spaceIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDocSpaceBySpaceIds(Long[] spaceIds);
}
