package com.doc.biz.service;

import com.doc.biz.domain.DocActor;

import java.util.List;

/**
 * 文档协作Service接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface IDocActorService {
    /**
     * 查询文档协作
     *
     * @param autoId 文档协作主键
     * @return 文档协作
     */
    public DocActor selectDocActorByAutoId(Long autoId);

    /**
     * 查询文档协作列表
     *
     * @param docActor 文档协作
     * @return 文档协作集合
     */
    public List<DocActor> selectDocActorList(DocActor docActor);

    /**
     * 新增文档协作
     *
     * @param docActor 文档协作
     * @return 结果
     */
    public int insertDocActor(DocActor docActor);

    /**
     * 修改文档协作
     *
     * @param docActor 文档协作
     * @return 结果
     */
    public int updateDocActor(DocActor docActor);

    /**
     * 批量删除文档协作
     *
     * @param autoIds 需要删除的文档协作主键集合
     * @return 结果
     */
    public int deleteDocActorByAutoIds(Long[] autoIds);

    /**
     * 删除文档协作信息
     *
     * @param autoId 文档协作主键
     * @return 结果
     */
    public int deleteDocActorByAutoId(Long autoId);
}
