package com.doc.biz.service;

import com.doc.biz.domain.DocVersion;

import java.util.List;

/**
 * 文档版本信息Service接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface IDocVersionService {
    /**
     * 查询文档版本信息
     *
     * @param versionId 文档版本信息主键
     * @return 文档版本信息
     */
    public DocVersion selectDocVersionByVersionId(Long versionId);

    /**
     * 查询文档版本信息列表
     *
     * @param docVersion 文档版本信息
     * @return 文档版本信息集合
     */
    public List<DocVersion> selectDocVersionList(DocVersion docVersion);

    /**
     * 新增文档版本信息
     *
     * @param docVersion 文档版本信息
     * @return 结果
     */
    public int insertDocVersion(DocVersion docVersion);

    /**
     * 修改文档版本信息
     *
     * @param docVersion 文档版本信息
     * @return 结果
     */
    public int updateDocVersion(DocVersion docVersion);

    /**
     * 批量删除文档版本信息
     *
     * @param versionIds 需要删除的文档版本信息主键集合
     * @return 结果
     */
    public int deleteDocVersionByVersionIds(Long[] versionIds);

    /**
     * 删除文档版本信息信息
     *
     * @param versionId 文档版本信息主键
     * @return 结果
     */
    public int deleteDocVersionByVersionId(Long versionId);
}
