package com.doc.biz.service;

import com.doc.biz.vo.DocumentVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * Mongo存储Service接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface IMongoService {
    /**
     * 文件上传
     *
     * @param file
     * @return
     * @throws Exception
     */
    DocumentVO uploadFile(MultipartFile file) throws Exception;

    /**
     * 多文件上传
     *
     * @param files
     * @return
     */
    List<DocumentVO> uploadFiles(List<MultipartFile> files);

    /**
     * 文件下载
     *
     * @param fileId
     * @return
     */
    DocumentVO downloadFile(String fileId);

    /**
     * 文件删除
     *
     * @param fileId
     */
    void removeFile(String fileId);
}
